slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosGetLocking

Gets the locking flag used in the thick-restart Lanczos method.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetLocking(SVD svd,PetscBool *lock)

Not Collective

### Input Parameter

| svd | - the singular value solver

### Output Parameter

| lock | - the locking flag

### See Also

SVDTRLanczosSetLocking()

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages